##
##  tcpdump.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_tarball 4.99.4
%define       V_subdir  4.99.4

#   package information
Name:         tcpdump
Summary:      Network Packet Dumping Tool
URL:          http://www.tcpdump.org/
Vendor:       The Tcpdump Group
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Capturing
License:      GPL
Version:      %{V_tarball}
Release:      20230408

#   list of sources
Source0:      http://www.tcpdump.org/release/tcpdump-%{V_tarball}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, autoconf
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  libpcap, openssl
PreReq:       libpcap, openssl

%description
    Tcpdump is a real-time network packet capturing and dumping tool.
    Despite its historical name, it is a general purpose network tool,
    not just usable for TCP packets.

%track
    prog tcpdump = {
        version   = %{V_tarball}
        url       = http://www.tcpdump.org/
        regex     = tcpdump-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n tcpdump-%{V_subdir}

%build
    options=""
    case "%{l_platform -t}" in
        *-freebsd[5-9].* | *-sunos5.1[01] | *-sunos5.9 | *-linux2.[46]* | *-linux3.* )
            options="--enable-ipv6"
            ;;
    esac
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} %{l_cppflags openssl}" \
    CPPFLAGS="%{l_cppflags openssl}" \
    LDFLAGS="%{l_ldflags}" \
    GREP="grep" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-crypto \
        $options
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/sbin/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/sbin/tcpdump.* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

